<template>
  <div id="parent">
    Parent Component
    <button @click="showChild = !showChild">Toggle Child</button>
    <Child v-if="showChild" />
  </div>
</template>

<script>
import Child from "./Child-component.vue";
export default {
  components: {
    Child,
  },
  data() {
    return {
      showChild: true,
    };
  },
  mbeforeCreate() {
    console.log("Parent beforeCreate()");
  },
  created() {
    console.log("Parent Created()");
  },
  beforeMount() {
    console.log("Parent beforeMount()");
  },
  mounted() {
    console.log("Parent Mounted()");
  },
  beforeUpdate() {
    console.log("Parent beforeUpdate()");
  },
  updated() {
    console.log("Parent Updated()");
  },
  beforeUnmount() {
    console.log("Parent beforeUnmount()");
  },
  unmounted() {
    console.log("Parent Unmounted");
  },
};
</script>